This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 238158 - fwbackups: RFE: rsync enhancements
fwbackups: RFE: rsync enhancements
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fwbackups (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stewart Adam
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-27 11:22 EDT by Bernard Johnson
Modified: 2008-07-03 14:55 EDT (History)
1 user (show)

See Also:
Fixed In Version: fwbackups-1.43.2-0.1.rc2.fc8
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-03 14:55:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bernard Johnson 2007-04-27 11:22:45 EDT
Description of problem:
Moved from bug #433772.

For rsync backups, please give the ability to not use dated directories. 
That way, a fast sync can be setup that just snapshots the data defined in the
backup job.  Also, the ability to use rsync over ssh would be superb.

Version-Release number of selected component (if applicable):
fwbackups-1.43.0-0.1.beta2.fc6
Comment 1 Stewart Adam 2007-05-12 20:53:19 EDT
As an example, do you mean the user could input a directory name, such as
"MyBackup" and rather than dated directories just have it replace the contents
of "MyBackup" each run?
Comment 2 Bernard Johnson 2007-05-22 17:30:49 EDT
Not replace, (one-way) synchronize (but I think that's what you meant).  And I
don't necessarily care about naming the directory, it could be the same name
(minus the date) that you currently use.

Then each time the backup runs, it updates a snapshot in time of the system it's
running on.

In fact, it might be good to keep the date in the directory name and just rename
it at each run.  This way you would instantly know when it ran last.
Comment 3 Stewart Adam 2007-07-03 10:23:10 EDT
I'm working on fwbackups a bit today, and I'm still unclear as to what you mean
- As in change the options to use (update) snapshots rather than a full copy?
Comment 4 Bernard Johnson 2007-07-04 18:13:56 EDT
As it works right now, if you specify for example 3 days of rsync backups, each
backup directory will be dated and contain a full backup of the system.

What I am suggesting is the ability to keep a backup directory in sync with the
system when it's run.

When you run the backup the first time, it creates a full set of backed up files
in /backup/target/dir/myname.

Then, each successive run updates only the files needed (using rsync) to bring
the  /backup/target/dir/myname completely up to date with the files on the system.

This essentially gives you an updated set of backed up files from the system
each time that the program is run (a snapshot in time), but at the expense of
only updating the files that have changed (rsync).
Comment 5 Stewart Adam 2007-07-04 20:01:28 EDT
Okay I see what you mean - The folder can be renamed to include the date of the
most recent run but the directory contents should never be removed, only updated
with file changes.
Comment 6 Bernard Johnson 2007-07-04 20:10:32 EDT
yes
Comment 7 Bug Zapper 2008-04-04 03:07:48 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Stewart Adam 2008-04-04 09:16:38 EDT
Sorry, I know it's been a while but this is being worked on.
Comment 9 Jon Stanley 2008-04-23 16:29:16 EDT
Adding FutureFeature keyword to RFE's.
Comment 10 Fedora Update System 2008-06-01 22:07:14 EDT
fwbackups-1.43.2-0.1.rc2.fc8 has been submitted as an update for Fedora 8
Comment 11 Fedora Update System 2008-06-01 22:11:49 EDT
fwbackups-1.43.2-0.1.rc2.fc9 has been submitted as an update for Fedora 9
Comment 12 Fedora Update System 2008-06-03 03:27:37 EDT
fwbackups-1.43.2-0.1.rc2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fwbackups'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-4809

Note You need to log in before you can comment on or make changes to this bug.